Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class EntityTable.Row

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.schema.EntityTable.Row

Enclosing class:
  EntityTable

public class EntityTable.Row
extends Object

Constructor Summary
`EntityTable.Row(EntityTable.View view)`
`EntityTable.Row(EntityTable.View view, Object[] fields, Object[] relations)`

Method Summary
`void` | `cacheRelations(int index, Cache.CacheLoader loader)`
`void` | `delete()`
`void` | `flush()`
`Object` | `getFieldValue(int i)`
`Object` | `getPk()`
`void` | `insert(Object pk)`
`boolean` | `isDirty()`
`void` | `loadCachedRelations(int index, Cache.CacheLoader loader)`
`void` | `nonNullForeignKey(EntityTable.ForeignKeyConstraint constraint)`
`void` | `nullForeignKey(EntityTable.ForeignKeyConstraint constraint)`
`void` | `setDirty()`
`void` | `setFieldValue(int i, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityTable.Row

    public EntityTable.Row(EntityTable.View view)

### EntityTable.Row

    public EntityTable.Row(EntityTable.View view,
                           Object[] fields,
                           Object[] relations)

Method Detail

### getPk

    public Object getPk()

### loadCachedRelations

    public void loadCachedRelations(int index,
                                    Cache.CacheLoader loader)

### cacheRelations

    public void cacheRelations(int index,
                               Cache.CacheLoader loader)

### insert

    public void insert(Object pk)
                throws javax.ejb.DuplicateKeyException

  Throws:
    `javax.ejb.DuplicateKeyException`

### getFieldValue

    public Object getFieldValue(int i)

### setFieldValue

    public void setFieldValue(int i,
                              Object value)

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty()

### delete

    public void delete()

### nullForeignKey

    public void nullForeignKey(EntityTable.ForeignKeyConstraint constraint)

### nonNullForeignKey

    public void nonNullForeignKey(EntityTable.ForeignKeyConstraint constraint)

### flush

    public void flush()
               throws SQLException,
                      javax.ejb.DuplicateKeyException

  Throws:
    `SQLException`
    `javax.ejb.DuplicateKeyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.